Jump to content
Sign in to follow this  
judsonmwall

Helix Rack (2.20) booting up crashes Line 6 Updater

Recommended Posts

Hello fellow Helixers!! 

 

This is your typical thread around update time of someone having issues. So, what are my issues?

 

Every time I try to open up the line 6 Updater with my Helix on it crashes instantly. It doesn't even open up and freeze or anything like that. You click on Line 6 Updater and the little program bounces on my dock (I am on a Mac) and then goes straight to a "Line 6 Updater Quit Unexpectedly" message. 

 

Conversely if the Helix is turned off I can open the Line 6 Updater program and sign in. I can then go to where it says "select device to update" but nothing is there. Logic would say TURN ON YOUR HELIX....well if you do, the instant it's done booting up Line 6 Updater crashers and gives the same "Line 6 Updater Quit Unexpectedly" message.

 

BACKGROUND INFO: I am on a Mac running OS X 10.9.5. I have updated the Line 6 Updater program, drivers and Helix edit to latest firmware with no issues. I have tried rebooting my Mac, switching to different USB ports (haven't tried different cords however) and turning off all other programs. My Helix is currently on firmware 2.20

 

Thanks for any help or insight guys! Hopefully soon I will be jamming out on a sweet Freidman sim ;)

 

update: I am on line 6 Updater firmware 1.11 and it doesn't seem to be crashing now. Hopefully the update goes through okay. If a mod wants to delete this thread please do. Maybe it will be helpful if some people face similar issues. Cheers!

Share this post


Link to post
Share on other sites

is the latest version of the updater compatible with 10.9.5?

  • Upvote 1

Share this post


Link to post
Share on other sites

is the latest version of the updater compatible with 10.9.5?

 

It says its compatible with OS X

 

Not sure if 10.9.5 is too old but the wording from Line 6 makes me think it should work

Share this post


Link to post
Share on other sites

I'm also having problems with the 1.12 updater and 2.51 editor crashing when the Helix floor unit (2.30) is plugged in.  I'm also running OS 10.9.5 and can't upgrade to 10.12.x or 10.13.x

 

 

Me thinks that the new update isn't compatible with 10.9.5....

Share this post


Link to post
Share on other sites

How were you able to go back to the 1.11 version of the updater?  If I've already installed 1.12, can I find a download for the 1.11 if that indeed solves your problem?

Share this post


Link to post
Share on other sites

I believe you are supposed to disconnect Helix Control (for Helix Rack users) before you launch the Line 6 Updater.  Also make sure to close HX Edit.  You can't have both of those apps running simultaneously.  Hope this helps you.

Share this post


Link to post
Share on other sites

I'm also having problems with the 1.12 updater and 2.51 editor crashing when the Helix floor unit (2.30) is plugged in.  I'm also running OS 10.9.5 and can't upgrade to 10.12.x or 10.13.x

 

 

Me thinks that the new update isn't compatible with 10.9.5....

 

Yea on the FB group I have heard of other 10.9.5 users having this exact issue

 

How were you able to go back to the 1.11 version of the updater?  If I've already installed 1.12, can I find a download for the 1.11 if that indeed solves your problem?

 

Under downloads for Line 6 Updater you should be able to scroll down and find the older 1.11 ....I at least was able to update the Helix to 2.5 but can't get it to work with HX edit without the latest version of Updater

 

I believe you are supposed to disconnect Helix Control (for Helix Rack users) before you launch the Line 6 Updater.  Also make sure to close HX Edit.  You can't have both of those apps running simultaneously.  Hope this helps you.

 

I actually don't have a Helix control unit and I have tried running both Line 6 Updater and HX edit after rebooting and with nothing else running. Based off other 10.9.5 users experience I believe that to be the issue.

Share this post


Link to post
Share on other sites

When running Line 6 Version 1.12 I was having the same problem -- I got the "Line 6 Updater Quit Unexpectedly" message -- and could not run the program.  That was happening because I had my Helix connected to my Macbook Pro's USB port and the Helix's power was on.  When I turned off the Helix, the Line 6 Update started fine.

 

After I logged in, the software asked me to "Select device to update."  However, there were no devices listed anywhere on the screen.  I could not go further.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×